Skip to main content

 none
How to upgrade existing model compatibility level RRS feed

  • Question

  • I just downloaded the latest version of SSDT to unlock the 1500 compatibility mode.  I've also verified that Azure Analysis Services lists 1500 as a potential compatibility option.  I went through the steps to upgrade my existing model project in VS to 1500 compatibility, and I've verified that I see the new options available (like calculation groups and Many to Many relationships).

    I have not yet developed any content using the new features, but as I was attempting to deploy the new 1500 compatibility mode update to my model, I get this error:

    Failed to save modifications to the server. Error returned: 'The operation cannot be performed because it references an object or property that is unavailable in the current edition of the server or the compatibility level of the database.

    How do I deploy the new level from my project?

    Monday, October 21, 2019 6:54 PM

All replies

  • Hello,

    I would suggest you update/download the latest version of SSDT and try the same.

    For more details, refer “Download and install SSDT for Visual Studio”.

    Now you are able  to create a tabular model with the compatibility level 1500.

    And now, you can change the compatibility level from 1400 to 1500.

    Right click on “Model.bim” file => select properties => Under Misc => change Compatibility Level

    For more details, refer “SSDT support for 1500 compatibility level”.

    Hope this helps.          

    ----------------------------------------------------------------------------------------

    Do click on "Mark as Answer" and Upvote on the post that helps you, this can be beneficial to other community members.

    Tuesday, October 22, 2019 5:33 AM
    Moderator
  • Yeah, I already did that, as I said in my original post.  As you can see, I've upgraded the model in VS.

    

    When I attempt to deploy it, I get this:

    To confirm, this database lives in Azure Analysis Services and should be upgrade-able to 1500 compatibility.  Why will it not deploy?

    Tuesday, October 22, 2019 12:45 PM
  • Hello,

    This issue looks strange. For a deeper investigation and immediate assistance on this issue, if you have a support plan you may file a support ticket, else could you send an email to AzCommunity@Microsoft.com with your Subscription ID and thread link to this post, and I will enable a one-time free support request for your subscription. 

    Please reference this forum thread in the subject: “How to upgrade existing model compatibility level”. Thank you for your persistence.

    Wednesday, October 23, 2019 7:02 AM
    Moderator